Skip to main content
API referenceSchemas

Schemas By Network

Last updated

GET
/api/v1/{network}/schemas

Network-addressed form of the route above. mainnet/finney return the same data as the unprefixed path; testnet/test return testnet data.

Path Parameters

network*string

Network to address. mainnet and finney are the same network, as are testnet and test.

Value in

  • "finney"
  • "mainnet"
  • "test"
  • "testnet"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/finney/schemas"
{  "data": {    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "notes": "Example description.",    "observed_at": "2026-06-01T00:00:00.000Z",    "schema_version": 1,    "schemas": [      {        "drift_status": "changed",        "schema_url": "https://api.metagraph.sh/example",        "status": "captured",        "surface_id": "example"      }    ],    "source": "live-cron-prober",    "summary": {      "by_drift_status": {},      "by_status": {},      "schema_count": 1,      "surface_count": 1    }  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}